<?xml version="1.0" encoding="UTF-8"?>
<!--
Arrebol Consultancy copyright.

This code belongs to Arrebol Consultancy
its use, redistribution or modification are prohibited 
without written authorization from Arrebol Consultancy.
-->

<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.dashboard.MaintenanceView" 
           table="MAINTENANCE_VIEW" 
           catalog="crov_spa" 
           mutable="false">
        <id name="id" type="string">
            <column name="id" length="36" />
        </id>
        <property name="idLocation" type="string">
            <column name="id_location" length="36"/>
        </property>
        <property name="customerName" type="string">
            <column name="customer_name" length="103"/>
        </property>
        <property name="driverName" type="string">
            <column name="driver_name" length="103"/>
        </property>
        <property name="service" type="string">
            <column name="service" length="50"/>
        </property>
        <property name="vehicle" type="string">
            <column name="vehicle" length="419"/>
        </property>
        <property name="km" type="float">
            <column name="km"/>
        </property>
        <property name="maintenance" type="float">
            <column name="maintenance"/>
        </property>
        <property name="difference" type="double">
            <column name="difference"/>
        </property>
        <property name="modulo" type="string">
            <column name="modulo"/>
        </property>
        <property name="fechaKm" type="date">
            <column name="fecha_km"/>
        </property>
        <property name="usuarioKm" type="string">
            <column name="usuario_km"/>
        </property>
        <property name="gpsNumber" type="string">
            <column name="gps_number"/>
        </property>
    </class>
</hibernate-mapping>